using System;

using GrapeCity.ActiveReports.SectionReportModel;
using GrapeCity.ActiveReports.Document.Section;

namespace TestStyleSheets
{
	public class CurrentAssetsByAssetClass : ReportBase
	{
		private void AddHeadingLabelToSection(
			Section section,
			string controlName,
			string descriptionText,
			float controlLeft,
			float controlTop,
			float controlWidth,
			float controlHeight,
			string styleClassName,
			TextAlignment alignment,
			VerticalTextAlignment verticalAlignment)
		{
			Label
				headingControl =
					new Label()
					{
						Name = controlName,
						//Font = defaultFont,
						ClassName = styleClassName,
						Text = descriptionText,
						Width = controlWidth,
						Top = controlTop,
						Left = controlLeft,
						Height = controlHeight,
						Alignment = alignment,
						VerticalAlignment = verticalAlignment,
						Visible = true,
					};

			section.Controls.Add(headingControl);
		}

		public CurrentAssetsByAssetClass()
		{
			InitializeComponent();
		}

		private void CurrentAssetsByAssetClass_ReportStart(object sender, System.EventArgs eArgs)
		{
			//LoadReportStyle(this);

			AddHeadingLabelToSection(
				hdrGridHeadings,
				"labelCreatedInCode",
				"Intermediate Term Bonds",
				2.833f,
				0f,
				1.13434529f,
				lblHeadingDescription.Height,
				"GridHeading",
				TextAlignment.Center,
				VerticalTextAlignment.Top);
		}

		#region ActiveReports Designer generated code
		private GrapeCity.ActiveReports.SectionReportModel.PageHeader PageHeader;
		private GrapeCity.ActiveReports.SectionReportModel.GroupHeader hdrGridHeadings;
		private GrapeCity.ActiveReports.SectionReportModel.Label lblHeadingDescription;
		private GrapeCity.ActiveReports.SectionReportModel.Detail Detail;
		private GrapeCity.ActiveReports.SectionReportModel.GroupFooter ftrGridHeadings;
		private GrapeCity.ActiveReports.SectionReportModel.PageFooter PageFooter;
		public void InitializeComponent()
		{
			System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(CurrentAssetsByAssetClass));
			this.Detail = new GrapeCity.ActiveReports.SectionReportModel.Detail();
			this.PageHeader = new GrapeCity.ActiveReports.SectionReportModel.PageHeader();
			this.PageFooter = new GrapeCity.ActiveReports.SectionReportModel.PageFooter();
			this.hdrGridHeadings = new GrapeCity.ActiveReports.SectionReportModel.GroupHeader();
			this.lblHeadingDescription = new GrapeCity.ActiveReports.SectionReportModel.Label();
			this.ftrGridHeadings = new GrapeCity.ActiveReports.SectionReportModel.GroupFooter();
			((System.ComponentModel.ISupportInitialize)(this.lblHeadingDescription)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this)).BeginInit();
			// 
			// Detail
			// 
			this.Detail.Height = 0.1875F;
			this.Detail.KeepTogether = true;
			this.Detail.Name = "Detail";
			// 
			// PageHeader
			// 
			this.PageHeader.Height = 0.208F;
			this.PageHeader.Name = "PageHeader";
			this.PageHeader.Visible = false;
			// 
			// PageFooter
			// 
			this.PageFooter.Height = 0F;
			this.PageFooter.Name = "PageFooter";
			this.PageFooter.Visible = false;
			// 
			// hdrGridHeadings
			// 
			this.hdrGridHeadings.Controls.AddRange(new GrapeCity.ActiveReports.SectionReportModel.ARControl[] {
            this.lblHeadingDescription});
			this.hdrGridHeadings.GroupKeepTogether = GrapeCity.ActiveReports.SectionReportModel.GroupKeepTogether.All;
			this.hdrGridHeadings.Height = 0.5F;
			this.hdrGridHeadings.KeepTogether = true;
			this.hdrGridHeadings.Name = "hdrGridHeadings";
			this.hdrGridHeadings.RepeatStyle = GrapeCity.ActiveReports.SectionReportModel.RepeatStyle.OnPageIncludeNoDetail;
			// 
			// lblHeadingDescription
			// 
			this.lblHeadingDescription.ClassName = "GridHeading";
			this.lblHeadingDescription.Height = 0.5F;
			this.lblHeadingDescription.HyperLink = null;
			this.lblHeadingDescription.Left = 0F;
			this.lblHeadingDescription.Name = "lblHeadingDescription";
			this.lblHeadingDescription.Style = "text-align: center; vertical-align: top";
			this.lblHeadingDescription.Text = "Intermediate Term Bonds";
			this.lblHeadingDescription.Top = 0F;
			this.lblHeadingDescription.Width = 1.134345F;
			// 
			// ftrGridHeadings
			// 
			this.ftrGridHeadings.Height = 0F;
			this.ftrGridHeadings.KeepTogether = true;
			this.ftrGridHeadings.Name = "ftrGridHeadings";
			this.ftrGridHeadings.Visible = false;
			// 
			// CurrentAssetsByAssetClass
			// 
			this.PageSettings.Margins.Bottom = 0.7F;
			this.PageSettings.Margins.Left = 0.5F;
			this.PageSettings.Margins.Right = 0.5F;
			this.PageSettings.Margins.Top = 1.303333F;
			this.PageSettings.Orientation = GrapeCity.ActiveReports.Document.Section.PageOrientation.Landscape;
			this.PageSettings.PaperHeight = 11F;
			this.PageSettings.PaperWidth = 8.5F;
			this.PrintWidth = 10.125F;
			this.Sections.Add(this.PageHeader);
			this.Sections.Add(this.hdrGridHeadings);
			this.Sections.Add(this.Detail);
			this.Sections.Add(this.ftrGridHeadings);
			this.Sections.Add(this.PageFooter);
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule(resources.GetString("$this.StyleSheet"), "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 9pt; color: #ff3333; ddo-char-set: " +
            "0", "Alert", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 9pt; font-weight: bold; color: #ff3" +
            "333; ddo-char-set: 0", "AlertBold", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 24pt; font-weight: bold; color: #6d" +
            "6e71; text-align: center; ddo-char-set: 0", "BlankPageCaption", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 9pt; font-style: normal; font-weigh" +
            "t: bold; color: Black", "Bold", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 12pt; font-style: normal; font-weig" +
            "ht: bold; color: Black", "BoldAndBig", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 9pt; font-weight: normal; color: #9" +
            "2c955; ddo-char-set: 0", "CurrentPortfolio", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 7pt; ddo-char-set: 0", "GridDataSmall", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 9pt; font-weight: bold; background-" +
            "color: #2cb3d3; color: #ffffff; vertical-align: top; ddo-char-set: 0", "GridHeading", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 9pt; font-weight: normal; backgroun" +
            "d-color: #2cb3d3; color: #ffffff; vertical-align: top; ddo-char-set: 0", "GridHeading2", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 8pt; font-weight: bold; background-" +
            "color: #2cb3d3; color: #ffffff; vertical-align: top; ddo-char-set: 0", "GridHeading3", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 7pt; font-weight: normal; backgroun" +
            "d-color: #2cb3d3; color: #ffffff; vertical-align: top; ddo-char-set: 0", "GridHeadingSmall", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 9pt; font-weight: bold; background-" +
            "color: #D9EDF7; color: #000000; vertical-align: middle; ddo-char-set: 0", "GridHighlightRow", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 9pt; font-weight: bold; background-" +
            "color: #ffffff; color: #000000; vertical-align: middle; ddo-char-set: 0", "GridShadedRow", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 9pt; font-weight: bold; background-" +
            "color: #DEDEDE; color: #000000; vertical-align: middle; ddo-char-set: 0", "GridSubHeading", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 9pt; font-weight: bold; color: #f38" +
            "630; ddo-char-set: 0", "MinorHeading", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 9pt; font-weight: bold; color: #f38" +
            "630; ddo-char-set: 0", "MinorHeading2", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 12pt; font-weight: bold; color: #f3" +
            "8630; text-align: center; ddo-char-set: 0", "PresentationMainHeading", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 24pt; font-weight: bold; color: #6d" +
            "6e71; text-align: left; vertical-align: bottom; ddo-char-set: 0", "TabCaption", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 9pt; font-weight: bold; color: #92c" +
            "955; ddo-char-set: 0", "ValueIsGreaterThan", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 9pt; font-weight: bold; color: #000" +
            "000; ddo-char-set: 0", "ValueIsEqualTo", "Normal"));
			this.StyleSheet.Add(new DDCssLib.StyleSheetRule("font-family: Frutiger LT 45 Light; font-size: 9pt; font-weight: bold; color: #ff3" +
            "333; ddo-char-set: 0", "ValueIsLessThan", "Normal"));
			this.ReportStart += new System.EventHandler(this.CurrentAssetsByAssetClass_ReportStart);
			((System.ComponentModel.ISupportInitialize)(this.lblHeadingDescription)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this)).EndInit();

		}

		#endregion
	}
}
