﻿using System;
using System.IO;
using System.Configuration;

using GrapeCity.ActiveReports.Export.Pdf.Section;

namespace TestStyleSheets
{
	class Program
	{
		static void Main(string[] args)
		{
			Context
				context = GetContext();

			GrapeCity.ActiveReports.SectionReport
				report = GetReport(context);

			report.Run();

			PdfExport
				pdfExport = GetPdfExport();
			string
				outputFilePath = context.OutputPath + "TestStyleSheets-" + DateTime.Now.ToString("yyyyMMdd-hh.mm.ss") + ".pdf";

			pdfExport.Export(report.Document, outputFilePath);

			//using (var lReportPdfMemoryStream = new MemoryStream())
			//{
			//	pdfExport.Export(mFinalReport.Document, lReportPdfMemoryStream);

			//	var
			//		reportMemoryStreams = this.GetMemoryStreamsToAppend();

			//	O2S.Components.PDF4NET.PDFDocument
			//		doc = null;

			//	if (reportMemoryStreams.Count > 0)
			//	{
			//		reportMemoryStreams.Insert(0, lReportPdfMemoryStream);

			//		//must use fully qualified namespace here to avoid conflict on PageOrientation
			//		doc = O2S.Components.PDF4NET.PDFFile
			//			.PDFFile
			//			.MergeFiles(reportMemoryStreams.ToArray());
			//	}
			//	else
			//	{
			//		doc = new O2S.Components.PDF4NET.PDFDocument(lReportPdfMemoryStream);
			//	}

			//	doc.Save(lPath);
			//}
		}

		private static Context GetContext()
		{
			return new Context()
			{
				InstallPath = ConfigurationManager.AppSettings["InstallPath"],
				ReportStyleId = ConfigurationManager.AppSettings["ReportStyleId"],
				OutputPath = ConfigurationManager.AppSettings["OutputPath"],
			};
		}

		private static GrapeCity.ActiveReports.SectionReport GetReport(Context context)
		{
			CurrentAssetsByAssetClass
				report = new CurrentAssetsByAssetClass()
				{
					Context = context,
				};

			return report;
		}

		private static PdfExport GetPdfExport()
		{
			PdfExport
				lPdfExport = new PdfExport();

			lPdfExport.ImageResolution = 300;
			lPdfExport.ImageQuality = ImageQuality.Highest;
			lPdfExport.ConvertMetaToPng = true;

			return lPdfExport;
		}
	}
}
