﻿using System;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TestStyleSheets
{
	public class ReportBase : GrapeCity.ActiveReports.SectionReport
	{
		public TestStyleSheets.Context Context { get; set; }

		public void LoadReportStyle(GrapeCity.ActiveReports.SectionReport report)
		{
			const string
				FILE_PATH_TEMPLATE = @"ReportStyle\{0}.reportstyle",
				DEFAULT_REPORT_STYLE = "PIE";

			string
				filePath = this.Context.InstallPath + String.Format(FILE_PATH_TEMPLATE, this.Context.ReportStyleId);

			if (! File.Exists(filePath))
				filePath = this.Context.InstallPath + String.Format(FILE_PATH_TEMPLATE, DEFAULT_REPORT_STYLE);

			report.LoadStyles(filePath);
		}
	}
}
